<script setup lang="ts">
import { useGameStore } from '../stores/gameStore';
import { ref } from 'vue';
import type { AllPoints } from '../types/AllPoints';

const gameStore = useGameStore();

let leaderboard = ref<AllPoints[]>([]);

const fetchLeaderboard = async () => (leaderboard.value = await gameStore.leaderboard());
fetchLeaderboard();
</script>

<template>
  <div class="grid p-8 m-8 text-xl place-items-center">
    <div class="mb-10 text-red-600 text-8xl">Today's Top 10 Scores</div>
    <div class="mb-10 text-3xl">
      <div v-for="entry in leaderboard" :key="entry.person.id">{{ entry.person.displayName }} {{ entry.points }}</div>
    </div>
    <div class="mt-10" text-2xl>Note: when someone cashes in their sdgpeople points, their score is reduced.</div>
  </div>
</template>
